Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84045 - hotplug's net.agent does not set IN_HOTPLUG
Summary: hotplug's net.agent does not set IN_HOTPLUG
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: hotplug
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-11 13:49 UTC by diego.santacruz
Modified: 2014-03-17 02:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-01 22:11:01 UTC


Attachments (Terms of Use)

Description diego.santacruz 2003-02-11 13:49:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
The net agent of hotplug, /etc/hotplug/net.agent, does not set the IN_HOTPLUG
environment variable on which the ifup script relies.

As a consequence, a net iface that is configured with HOTPLUG=no is brought up
by hotplug despite the setting.

Version-Release number of selected component (if applicable):
hotplug-2002_04_01-13, but I think it also applies to latest rawhide.

How reproducible:
Always

Steps to Reproduce:
1. Configure eth0 with HOTPLUG=no in ifcfg-eth0
2. Insert a PCMCIA network card
3.
    

Actual Results:  Hotplug system brings up the interface eth0, despite the
HOTPLUG=no setting.

Expected Results:  Hotplug sets IN_HOTPLUG variable so that ifup can honour the
HOTPLUG=no setting.

Additional info:

The IN_HOTPLUG variable was added on Aug 07 2001, but somehow it was removed
afterwards (probably after upgrading the upstream hotplug package?).

Comment 1 Bill Nottingham 2003-10-01 22:11:01 UTC
Fixed in current releases.


Note You need to log in before you can comment on or make changes to this bug.